using System;
using Microsoft.SPOT;
using System.Collections;

namespace GoBusExperimental
{
    public interface IGoHub
    {
        IGoPort[] GoPorts { get; }
        IGoPort GetGoPort(int portNumber);
        IEnumerable GetGoPortsForModuleGuid(Guid guid, bool includeBoundPorts);
        void OnGoPortEnumerating(IGoPort goPort);
        void OnGoPortEnumerated(IGoPort goPort, bool isBinding);
        void OnGoPortBinding(IGoPort goPort);
        void OnGoPortBound(IGoPort goPort);
        void OnGoPortUnbound(IGoPort goPort);
    }
}
